clear;
% result of 081101/
% Vsp = 0
gf(1,:)  =[6.3e-4, 8.2e-4, 7.7e-4, 7.7e-4, 7.9e-4];
eave(1,:)=[5.02, 4.98,  5.0,  5.0,  5.0];
aave(1,:)=[-20.2, -8.2, -1.4, 5.0, 16.8];
vout(1,:)=[-0.85, -0.30, 0.0, 0.27, 0.85];

% Vsp = 0.25
gf(2,:)  =[3.9e-4, 4.8e-4, 5.2e-4, 5.3e-4, 5.9e-4];
eave(2,:)=[5.61, 5.58,  5.58,  5.48,  5.49];
aave(2,:)=[-19.3, -9.5, -6.6, 2.3, 13.9];
vout(2,:)=[-0.85, -0.30, 0.0, 0.27, 0.85];

% Vsp = 0.5
gf(3,:)  =[2.3e-4, 9.1e-5, 1.3e-4, 1.2e-4, 1.4e-4];
eave(3,:)=[5.83, 5.79,  5.75,  5.75,  5.76];
aave(3,:)=[-20.0, -11.2,  -5.4, -1.0, 9.8];
vout(3,:)=[-0.85, -0.30, 0.0, 0.27, 0.85];

% Vsp = 0.75
gf(4,:)  =[2.7e-6, 3.1e-6, 9.9e-6, 1.0e-5, 8.2e-6];
eave(4,:)=[5.58, 5.62,  6.11,  6.11,  6.24];
aave(4,:)=[-18.4, -17.1,  -6.2, -1.6, 8.8];
vout(4,:)=[-0.85, -0.30, 0.0, 0.27, 0.85];

subplot(2,2,1);
semilogy(vout(1,:), gf(1,:), '-rs','MarkerSize',4);
ylim([1e-6 1e-3]);
ylabel(['g-factor (cm^2 str) @11.25deg']);
%xlabel('Vout');
hold on
semilogy(vout(2,:), gf(2,:), '--r*','MarkerSize',4);
semilogy(vout(3,:), gf(3,:), ':ro','MarkerSize',4);
semilogy(vout(4,:), gf(4,:), '-.r+','MarkerSize',4);
hold off


subplot(2,2,2);
plot(vout(1,:), aave(1,:), '-rs','MarkerSize',4);
ylabel('<a> (deg)');
xlabel('Vup/|Vin|            Vlw/|Vin|');
hold on
plot(vout(2,:), aave(2,:), '--r*','MarkerSize',4);
plot(vout(3,:), aave(3,:), ':ro','MarkerSize',4);
plot(vout(4,:), aave(4,:), '-.r+','MarkerSize',4);
hold off

subplot(2,2,3);
plot(vout(1,:), eave(1,:), '-rs','MarkerSize',4);
ylim([0 10]);
ylabel('<E>/|Vin| (eV/V)');
xlabel('Vup/|Vin|            Vlw/|Vin|');
hold on
plot(vout(2,:), eave(2,:), '--r*','MarkerSize',4);
plot(vout(3,:), eave(3,:), ':ro','MarkerSize',4);
plot(vout(4,:), eave(4,:), '-.r+','MarkerSize',4);
hold off
